package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.SuSubscribe;

/**
 * 订阅管理Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ISuSubscribeService 
{
    /**
     * 查询订阅管理
     * 
     * @param suId 订阅管理主键
     * @return 订阅管理
     */
    public SuSubscribe selectSuSubscribeBySuId(Long suId);

    /**
     * 查询订阅管理列表
     * 
     * @param suSubscribe 订阅管理
     * @return 订阅管理集合
     */
    public List<SuSubscribe> selectSuSubscribeList(SuSubscribe suSubscribe);

    /**
     * 新增订阅管理
     * 
     * @param suSubscribe 订阅管理
     * @return 结果
     */
    public int insertSuSubscribe(SuSubscribe suSubscribe);

    /**
     * 修改订阅管理
     * 
     * @param suSubscribe 订阅管理
     * @return 结果
     */
    public int updateSuSubscribe(SuSubscribe suSubscribe);

    /**
     * 批量删除订阅管理
     * 
     * @param suIds 需要删除的订阅管理主键集合
     * @return 结果
     */
    public int deleteSuSubscribeBySuIds(String suIds);

    /**
     * 删除订阅管理信息
     * 
     * @param suId 订阅管理主键
     * @return 结果
     */
    public int deleteSuSubscribeBySuId(Long suId);
}
